Subject: Re: [PATCH 07/11] pack-objects: move in_pack out of struct object_entry

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 01 Mar 2018 13:37:10 +0100

On Thu, Mar 01 2018, Nguyễn Thái Ngọc Duy jotted:

> pack. Use an index isntead since the number of packs should be

s/isntead/instead/

> This limits the number of packs we can handle to 256 (still
> unreasonably high for a repo to work well). If you have more than 256
> packs, you'll need an older version of Git to repack first.

So if you have gc.autoPackLimit=300 this will break, how does it break?

Should we also make (& document) setting that variable higher than 256
an error?